summaryrefslogtreecommitdiff
path: root/checks/encrypt.test
diff options
context:
space:
mode:
Diffstat (limited to 'checks/encrypt.test')
-rwxr-xr-xchecks/encrypt.test40
1 files changed, 40 insertions, 0 deletions
diff --git a/checks/encrypt.test b/checks/encrypt.test
new file mode 100755
index 0000000..44f26a1
--- /dev/null
+++ b/checks/encrypt.test
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+. $srcdir/defs.inc || exit 3
+
+#info Checking encryption
+for i in $plain_files $data_files ; do
+ $GPG --always-trust -e -o x --yes -r "$usrname2" $i
+ $GPG -o y --yes x
+ cmp $i y || error "$i: mismatch"
+done
+
+algos="3des"
+
+if have_cipher_algo "idea"; then
+ algos="$algos idea"
+fi
+
+if have_cipher_algo "cast5"; then
+ algos="$algos idea"
+fi
+
+if have_cipher_algo "blowfish"; then
+ algos="$algos idea"
+fi
+
+if have_cipher_algo "aes"; then
+ algos="$algos aes aes192 aes256"
+fi
+
+if have_cipher_algo "twofish"; then
+ algos="$algos twofish"
+fi
+
+for ca in $algos ; do
+ for i in $plain_files $data_files ; do
+ $GPG --always-trust -e -o x --yes -r "$usrname2" --cipher-algo $ca $i
+ $GPG -o y --yes x
+ cmp $i y || error "$i: mismatch"
+ done
+done